pfSense - Bug #8129

NTP Status -> Server time value incorrect for timezone Asia/Kolkata
11/26/2017 01:14 PM - Eduard Rozenberg

Status: Resolved Start date: 11/26/2017
Priority: Normal Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 243
Affected Version: 2.4.x Affected

Architecture:

Description

When using timezone set to Asia/Kolkata (a timezone on the 1/2 hour), the time showing in the dashboard widget NTP Status ->
Server time is incorrect.

System info is correct:
Dashboard System Information -> Current date/time Mon Nov 27 0:41:35 IST 2017

NTP server time is INCORRECT:
Dashboard NTP Status -> Server Time 0:11:35 IST

The NTP server value is incorrect by 30 minutes, so it is not dealing properly with the 1/2 hour timezone.

Believe the problem has been present for some time in pfSense, but don't have older versions running to check ATM.

Associated revisions

Revision 5946477f - 12/18/2017 11:23 AM - Stephen Jones

Fixed #8129 Updated to show timezones that have half hour increments i.e. asia/kolkata

History

#1 - 12/18/2017 11:17 AM - Anonymous
- Assignee set to Anonymous

- Target version set to 2.4.3

#2 - 12/18/2017 11:30 AM - Anonymous
- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset 5946477{65f0f7a20504833ac156419875ac2b2b.

#3 - 12/30/2017 12:43 PM - Eduard Rozenberg

| haven't tested yet but the change looks good, thanks!

#4 - 03/08/2018 02:19 AM - Denis Karpushin
Tested under 2.4.3

Dashboard: Current date/time Thu Mar 8 13:48:09 IST 2018
NTP Status Widget: Server Time  13:48:15 IST

Issue can be closed
https://redmine.pfsense.org/projects/pfsense/repository/revisions/5946477f65f0f7a20504833ac156419875ac2b2b

#5 - 03/08/2018 06:14 AM - Jim Pingle

- Status changed from Feedback to Resolved
